---
search:
  tags:
    - Relations V2
    - GET
seo:
  description: >-
    Gets a single relation including its products. Reference for the GET
    /api/v2/{team_slug}/{app_slug}/relations/{relation_id} endpoint in the
    Management API v2.
sidebar:
  label: Get relation
  badge: GET
title: Get relation
type: openapi-operation
---
Gets a single relation including its products.

`GET /api/v2/{team_slug}/{app_slug}/relations/{relation_id}`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `404` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "title": "string",
    "type": "string",
    "type_id": "d9779ea4-ba95-4824-86d7-4f1ac083a564",
    "direction": "string",
    "primary_product_id": "7a85a404-d868-4693-9493-c9cd5be375b7",
    "products": [
      {
        "id": "string",
        "product_name": "string",
        "description": "string",
        "product_number": "string",
        "slug": "string",
        "image_url": "string"
      }
    ]
  }
}
```
